
-- --------------------------------------------------------------
-- SpotAFault SQL Uninstall Script version 1.0.0.0
-- Please make sure to read the documentation before running this script: http://docs.spotafault.com

-- This script will remove the following tables:
-- 1/ spotafault_EventLog

-- This script will remove the following stored procedures:
-- 1/ spotafault_sp_ClearEventLogItemsByIDs
-- 2/ spotafault_sp_DeleteItemFromEventLog
-- 3/ spotafault_sp_InsertEventToLog
-- 4/ spotafault_sp_SelectFromEventLog
-- 5/ spotafault_sp_SelectSingleDataFromEventLog
-- --------------------------------------------------------------

-- --------------------------------------------------------------
-- stored procedures start
-- --------------------------------------------------------------

-- --------------------------------------------------------------
-- delete spotafault_sp_ClearEventLogItemsByIDs
-- --------------------------------------------------------------
IF EXISTS (SELECT ROUTINE_NAME FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME='spotafault_sp_ClearEventLogItemsByIDs') 
DROP PROCEDURE spotafault_sp_ClearEventLogItemsByIDs
GO

-- --------------------------------------------------------------
-- delete spotafault_sp_DeleteItemFromEventLog
-- --------------------------------------------------------------
IF EXISTS (SELECT ROUTINE_NAME FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME='spotafault_sp_DeleteItemFromEventLog') 
DROP PROCEDURE spotafault_sp_DeleteItemFromEventLog
GO

-- --------------------------------------------------------------
-- delete spotafault_sp_InsertEventToLog
-- --------------------------------------------------------------
IF EXISTS (SELECT ROUTINE_NAME FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME='spotafault_sp_InsertEventToLog') 
DROP PROCEDURE spotafault_sp_InsertEventToLog
GO

-- --------------------------------------------------------------
-- delete spotafault_sp_SelectFromEventLog
-- --------------------------------------------------------------
IF EXISTS (SELECT ROUTINE_NAME FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME='spotafault_sp_SelectFromEventLog') 
DROP PROCEDURE spotafault_sp_SelectFromEventLog
GO

-- --------------------------------------------------------------
-- delete spotafault_sp_SelectSingleDataFromEventLog
-- --------------------------------------------------------------
IF EXISTS (SELECT ROUTINE_NAME FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME='spotafault_sp_SelectSingleDataFromEventLog') 
DROP PROCEDURE spotafault_sp_SelectSingleDataFromEventLog
GO

-- --------------------------------------------------------------
-- stored procedures end
-- --------------------------------------------------------------

-- --------------------------------------------------------------
-- tables start
-- --------------------------------------------------------------

-- --------------------------------------------------------------
-- delete spotafault_EventLog
-- --------------------------------------------------------------
IF EXISTS (SELECT TABLE_NAME FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'spotafault_EventLog')
DROP TABLE spotafault_EventLog
GO
-- --------------------------------------------------------------
-- tables  end
-- --------------------------------------------------------------